Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 11/16/2018 in all areas

  1. Hi there. I would take an approach more along the 2nd you mentioned, with something different, which would to copy the pc3 file, but not to a temp folder. You don't want to start having to change the the preferences because by changing the plottermanager folder for a temp one to plot a single PDF without launching the viewer, you would loose the ability to use any other plotting devices on the system without digging in "search paths. file names, and file locations" if it doesn't get restored for any reason. Most users won't know how to restore it, hence your own question "how would I get that plot to look for the PC3 file in another folder?". That said, following these steps you will create a permanent pc3. Plot a drawing, choose your pc3. Hit the "properties" button (a) In the "device and document settings tab (b) - select the "custom properties" item (c), then click the "custom properties..." button (d) In the properties window, the last thing in the bottom is a checkbox "open in PDF viewer when done". Uncheck it, then hit "ok". Back on the plotter configuration editor, hit "save As.." (e) Give it a name accordingly ie the original "DWG To PDF.pc3" I would saveas "DWG To PDF no preview.pc3" then save. Back again to the plotter configuration editor dialog, hit CANCEL (to discard the change made to the original file) After doing that, you will have access to both pc3 files in the dropdown plotter name section of the plot menu. That is good for manual use. To do it in lisp, now you can use that (defun putPlotDevice (device layout) (vla-put-ConfigName (vla-item (vla-get-Layouts (vla-get-activedocument (vlax-get-acad-object)) ) layout ) device ) ) The only thing needed is to swap the plot device just before your plot command (if (= "Yes" plot_with_no_preview) (putplotdevice "DWG To PDF no preview.pc3" (getvar 'ctab)) (putplotdevice "DWG To PDF.pc3" (getvar 'ctab)) ) plot here If I were you I would store the plot device before changing it to restore it back after the plot. We hate when lisp routines change settings, don't we? (defun getPlotDevice () (vla-get-ConfigName (vla-item (vla-get-Layouts (vla-get-activedocument (vlax-get-acad-object)) ) (getvar 'ctab) ) ) ) Hope it helps. Cheers. If this helped you solve your inquiry, or found this information useful, please mark this message accordingly.
    1 point
×
×
  • Create New...